Göstergeleri listele
curl --request GET \
--url https://app.azalt.co/api/v1/indicators \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.azalt.co/api/v1/indicators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.azalt.co/api/v1/indicators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"label": "<string>",
"description": "<string>",
"unitId": "<string>",
"unitName": "<string>",
"displayUnitId": "<string>",
"displayUnitName": "<string>",
"tags": [
"<string>"
],
"preferredDatasetItemName": "<string>",
"preferredDatasetItemDatasetId": "<string>",
"expressionParts": [
{
"value": "<string>",
"metadata": "<unknown>"
}
],
"datasetItems": [
{
"id": "<string>",
"name": "<string>",
"datasetId": "<string>",
"datasetName": "<string>",
"year": 123,
"data": "<unknown>",
"inputUnitId": "<string>",
"inputUnitSymbol": "<string>"
}
],
"widgetUsage": [
{
"widgetId": "<string>",
"widgetName": "<string>",
"dashboardId": "<string>",
"dashboardName": "<string>",
"reportId": "<string>",
"reportSectionId": "<string>",
"reportSectionName": "<string>",
"reportName": "<string>",
"isDirect": true,
"viaIndicatorId": "<string>",
"viaIndicatorName": "<string>",
"viaIndicatorLabel": "<string>"
}
],
"issues": [
{
"formElementId": "<string>",
"formName": "<string>",
"fieldName": "<string>",
"indicatorId": "<string>",
"indicatorName": "<string>",
"status": "<string>",
"datasetId": "<string>",
"datasetName": "<string>",
"datasetItemName": "<string>",
"indicatorUnitSymbol": "<string>",
"inputUnitSymbol": "<string>"
}
],
"_count": {
"datasets": 123
},
"indicatorUsage": [
{
"indicatorId": "<string>",
"indicatorLabel": "<string>"
}
]
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Indicator
Göstergeleri listele
Tesis yetkilerinize göre erişebildiğiniz tüm göstergeleri listeler; her biri için temel bilgiler, kullanım durumu ve yetki kapsamı döner.
GET
/
indicators
Göstergeleri listele
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sorgu Parametreleri
Yanıt
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

